Create Resident: Buildium
https://api.propexo.com/v1/residents/buildium/| Interface | Method |
|---|---|
| Rental Tenants | POST /leases/tenants |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The last name of the resident. This value maps to the LastName property of the Tenant object
The first name of the resident. This value maps to the FirstName property of the Tenant object
The primary email address for the resident. This value maps to the Email property of the Tenant object
An alternate email address for the resident. This value maps to the AlternateEmail property of the Tenant object.
The date of birth of the resident. This value maps to the DateOfBirth property of the Tenant object.
First line of the street address for the resident. This maps to the Address.AddressLine1 property of the primary address of the Tenant object
Second line of the street address for the resident. This maps to the Address.AddressLine2 property of the Tenant object.
City of the resident's primary address. This maps to the Address.City property of the Tenant object.
State of the resident's primary address. This maps to the Address.State property of the Tenant object.
Zip/Postal Code of the resident's primary address. This maps to the Address.PostalCode property of the Tenant object.
Country of the resident's primary address.
Show 1 enum value
USFirst line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine1 property of the Tenant object
Second line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine2 property of the Tenant object
City of the resident's secondary/alternate address. This maps to the AlternateAddress.City property of the Tenant object.
State of the resident's secondary/alternate address. This maps to the AlternateAddress.State property of the Tenant object
Zip/Postal Code of the resident's secondary/alternate address. This maps to the AlternateAddress.PostalCode property of the Tenant object
Country of the resident's secondary/alternate address.
Show 1 enum value
USAny notes on the resident. This value maps to the Comment property of the Tenant object.
Resident's primary phone number. This will be assumed to be a HOME phone number unless phone_1_type is also set.
The type of the resident's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'.
Show 4 enum values
HOMEWORKMOBILEFAXResident's secondary phone number. This will be assumed to be a MOBILE phone number unless phone_2_type is also set.
The type of the resident's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'.
Show 4 enum values
HOMEWORKMOBILEFAXcustom_data objectdeprecated
Deprecated: Field is no longer applicable
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The last name of the resident. This value maps to the LastName property of the Tenant object
The first name of the resident. This value maps to the FirstName property of the Tenant object
The primary email address for the resident. This value maps to the Email property of the Tenant object
An alternate email address for the resident. This value maps to the AlternateEmail property of the Tenant object.
The date of birth of the resident. This value maps to the DateOfBirth property of the Tenant object.
First line of the street address for the resident. This maps to the Address.AddressLine1 property of the primary address of the Tenant object
Second line of the street address for the resident. This maps to the Address.AddressLine2 property of the Tenant object.
City of the resident's primary address. This maps to the Address.City property of the Tenant object.
State of the resident's primary address. This maps to the Address.State property of the Tenant object.
Zip/Postal Code of the resident's primary address. This maps to the Address.PostalCode property of the Tenant object.
Country of the resident's primary address.
Show 1 enum value
USFirst line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine1 property of the Tenant object
Second line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine2 property of the Tenant object
City of the resident's secondary/alternate address. This maps to the AlternateAddress.City property of the Tenant object.
State of the resident's secondary/alternate address. This maps to the AlternateAddress.State property of the Tenant object
Zip/Postal Code of the resident's secondary/alternate address. This maps to the AlternateAddress.PostalCode property of the Tenant object
Country of the resident's secondary/alternate address.
Show 1 enum value
USAny notes on the resident. This value maps to the Comment property of the Tenant object.
Resident's primary phone number. This will be assumed to be a HOME phone number unless phone_1_type is also set.
The type of the resident's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'.
Show 4 enum values
HOMEWORKMOBILEFAXResident's secondary phone number. This will be assumed to be a MOBILE phone number unless phone_2_type is also set.
The type of the resident's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'.
Show 4 enum values
HOMEWORKMOBILEFAXcustom_data object | nullrequireddeprecated
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/residents/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"last_name": "string",
"first_name": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "US"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"last_name": "string",
"first_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "US",
"address_1_alternate": "string",
"address_2_alternate": "string",
"city_alternate": "string",
"state_alternate": "string",
"zip_alternate": "string",
"country_alternate": "US",
"notes": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME"
}
}